+ Reply to Thread
Results 1 to 5 of 5
  1. #1
    Junior Member
    Using
    AutoCAD 2007
    Join Date
    Dec 2008
    Posts
    10

    Default How to update an entity after appending a list

    Registered forum members do not see this ad.

    Hi, I have been using (command "change" obj ""...) to change colour in my lisps. However, I would like to know how it can be done if I append a (62 . 1) instead.

    Thank you !!
    Last edited by caravaggio; 18th Oct 2009 at 05:09 pm.

  2. #2
    Junior Member
    Using
    AutoCAD 2007
    Join Date
    Dec 2008
    Posts
    10

    Default

    I have figured it out myself !! sorry !!

  3. #3
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,144

    Default

    Nice name? Fan of the painter, I assume?

    Another option (for vla):
    Code:
    (defun  c:test (/ ent)
     (and
      (setq ent (car (entsel "\nSelect object: ")))
      (setq ent (vlax-ename->vla-object ent))
      (vla-put-color ent 3)
     )
    )
    would change the selected object to color 3.
    DropBox | finding the light...
    Seann: ...it went crazy ex-girlfriend on me...
    eric_monceaux...its pretty funny seeing two AutoCAD Gods give each other flak...

  4. #4
    Junior Member
    Using
    AutoCAD 2007
    Join Date
    Dec 2008
    Posts
    10

    Default

    A fan of this painter !!

    Thanks so much for vla option !

  5. #5
    Luminous Being alanjt's Avatar
    Using
    Civil 3D 2013
    Join Date
    Apr 2008
    Posts
    6,144

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by caravaggio View Post
    A fan of this painter !!

    Thanks so much for vla option !
    Any painter that used to study corpses to make his subjects more real is aces in my book.

    No problem.
    DropBox | finding the light...
    Seann: ...it went crazy ex-girlfriend on me...
    eric_monceaux...its pretty funny seeing two AutoCAD Gods give each other flak...

Similar Threads

  1. Lisp colour change for all layers and blocks
    By hyposmurf in forum AutoLISP, Visual LISP & DCL
    Replies: 108
    Last Post: 2nd Jun 2014, 01:26 pm
  2. change the colour of my cursor
    By schlamps in forum AutoCAD General
    Replies: 5
    Last Post: 14th Jun 2013, 06:50 pm
  3. Simple colour change lisp
    By gazzalp in forum AutoLISP, Visual LISP & DCL
    Replies: 33
    Last Post: 2nd Nov 2012, 03:00 pm
  4. colour change
    By alec in forum AutoCAD Beginners' Area
    Replies: 10
    Last Post: 2nd Jun 2008, 09:01 pm
  5. Cant change the Colour of the sun.
    By Tejpaul007 in forum AutoCAD 3D Modelling & Rendering
    Replies: 1
    Last Post: 7th Jan 2008, 03:01 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts